=== debian/changelog ===
libyanfs-java (0.0+cvs20070825-4) unstable; urgency=low

  * Team upload.
  * Switch to debhelper level 7.
  * Remove Java runtime from Depends.
  * Update Standards-Version: 3.9.2.

 -- Torsten Werner <twerner@debian.org>  Sun, 25 Sep 2011 22:51:14 +0200

libyanfs-java (0.0+cvs20070825-3) unstable; urgency=low

  * Team Upload
  * Let 'maintainers' start with an uppercase M.
  * Switch to default-jdk.
  * Update Standards-Version: 3.8.4.
  * Change Section: java.
  * Switch to source format 3.0.

 -- Torsten Werner <twerner@debian.org>  Sat, 10 Apr 2010 23:27:53 +0200

libyanfs-java (0.0+cvs20070825-2) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/control:
    + Change XS-Vcs-* to Vcs-*.
    + Add Homepage field, shift homepage from description.

  [ Varun Hiremath ]
  * Fix doc-base file, Thanks to Esteban Manchado Velázquez
    <zoso@debian.org> (Closes: #466460)
  * Bump Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Tue, 19 Feb 2008 12:01:25 +0530

libyanfs-java (0.0+cvs20070825-1) unstable; urgency=low

  [ Varun Hiremath ]
  * Initial release (Closes: #441047)
  * debian/orig-tar.sh: extract the image *.tgz and remove them later.
  
  [ Kumar Appaiah ]
  * Add XS-Vcs-Browser and XS-Vcs-Svn entries.
  * Ensure that *.properties and *.gif is included in the JAR.

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun, 09 Sep 2007 14:09:20 +0530
