=== debian/rules ===
#!/usr/bin/make -f

# This variable is used by the Makefile to determine the root
# directory of the sources. Upstream uses this, but doesn't define it
# explicitly. So, we do it here.
export CODEMGR_WS=.

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

JAVA_HOME		:= /usr/lib/jvm/default-java
DEB_ANT_BUILD_TARGET	:= jar javadoc
DEB_ANT_BUILDFILE	:= debian/build.xml
DEB_ANT_PROPERTYFILE	:= debian/build.properties

clean::
	(cd ./src/com/sun/gssapi/mechs/dummy/; $(RM) Dummy.java DummyCtxt.java)	
	(cd ./src/com/sun/gssapi/; $(RM) GSSCtxtSpi.java)	
	$(RM) debian/build-m4

post-patches:: debian/build-m4
debian/build-m4::
	(cd ./src/com/sun/gssapi/mechs/dummy/; $(MAKE) Dummy.java DummyCtxt.java)
	(cd ./src/com/sun/gssapi/; $(MAKE) C018FE95.java)
	touch $@

install/libyanfs-java::
	install -m 644 -D yanfs.jar $(DEB_DESTDIR)/usr/share/java/yanfs-$(DEB_UPSTREAM_VERSION).jar
	dh_link /usr/share/java/yanfs-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/yanfs.jar

get-orig-source:
	sh debian/orig-tar.sh $(DEB_UPSTREAM_VERSION)
