## libyanfs-java 1.4

=== debian/changelog ===
libyanfs-java (1.4-1) unstable; urgency=medium

  * Team upload
  * Omissing the installation of documentation, which is no longer built
  * Simplifying debian/rules to its minimal contents
  * Adding a d/*.poms file to manage the Maven build
  * Updating Build-Dependencies to build with Maven
  * Removing old files in debian/ that were used with ant

  [ Kumar Appaiah ]
  * debian/control:
    + Remove Kumar Appaiah from uploaders

  [ Andreas Tille ]
  * New Homepage
  * Fix Vcs fields
  * Add watch file
  * d/copyright: DEP5 + review
  * Switch from cdbs to dh
  * debhelper-compat=13
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Adapt to new upstream

 -- Pierre Gruet <pgt@debian.org>  Fri, 31 Jan 2025 16:56:08 +0100

libyanfs-java (0.0+cvs20070825-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 14:24:52 +0100
