=== debian/control ===
Source: libyanfs-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper-compat (= 13),
               maven-debian-helper
Build-Depends-Indep: default-jdk-headless,
                     m4
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/libyanfs-java
Vcs-Git: https://salsa.debian.org/java-team/libyanfs-java.git
Homepage: https://github.com/raisercostin/yanfs

Package: libyanfs-java
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Yet Another NFS - a Java NFS library
 This project represents a Java implementation of the XDR, RPC, NFSv2,
 and NFSv3 protocols in client side form.
 .
 WebNFS was the original name for this implementation but the name has
 changed to reflect the expanded scope of the project to include a
 server side implementation.
